using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class _Default : System.Web.UI.Page
{
   protected void Page_Load(object sender, EventArgs e)
   {
      if (!Page.IsPostBack)
      {
         lblWelcome.Text =
           "Witaj! Proszę poświęć chwilkę i wypełnij tą ankietę.</br />";
         pnlResults.Visible = false;
         pnlInput.Visible = true;
      }
      else
      {
         pnlResults.Visible = true;
         pnlInput.Visible = false;
      }
   }
   protected void btnSubmit_Click(object sender, EventArgs e)
   {
      // zachowaj dane z ankiety w bazie danych lub podobne operacje

      lblWelcome.Text = "Dziękuję za wypełnienie ankiety.";
      plhResults.Controls.Add(new LiteralControl(
        string.Format("Podałeś, że masz na imię <b>{0}</b> oraz, że twój ulubiony kolor to <b>{1}</b> ({2})",
        txtName.Text, lbColors.SelectedItem.Text, lbColors.SelectedItem.Value)));
   }
   protected void btnCancel_Click(object sender, EventArgs e)
   {
      lblWelcome.Text = "Anulowałeś wysłanie ankiety. Nic nie zostało zachowane.";
   }
}
